TBoundedParameter< T > Class Template Reference

`#include <mia/core/parameter.hh>`

Inheritance diagram for TBoundedParameter< T >:
[legend]
Collaboration diagram for TBoundedParameter< T >:
[legend]

## Data Structures

struct | boundary
struct | boundary< std::vector< S > >

## Public Types

typedef boundary< T >::value_type | boundary_type

## Public Member Functions

| TBoundedParameter (T &value, EParameterBounds flags, const std::vector< boundary_type > &boundaries, bool required, const char *descr)
Public Member Functions inherited from CTParameter< T >
| CTParameter (T &value, bool required, const char *descr)
Public Member Functions inherited from CParameter
void | add_dependend_handler (HandlerHelpMap &handler_map) const
| CParameter (const char type[], bool required, const char *descr)
void | descr (std::ostream &os) const
std::string | get_default_value () const
const char * | get_descr () const
void | get_help_xml (CXMLElement &root) const
std::string | get_value_as_string () const
virtual void | post_set ()
bool | required_set () const
void | reset ()
bool | set (const std::string &str_value)
const char * | type () const
void | value (std::ostream &os) const
virtual | ~CParameter ()

## Protected Member Functions

void | do_descr (std::ostream &os) const
Protected Member Functions inherited from CParameter
void | add_xmlhelp_attribute (CXMLElement &node, const std::string &tag, const std::string &value) const
CXMLElement & | add_xmlhelp_childnode (CXMLElement &parent, const std::string &tag) const
void | add_xmlhelp_text (CXMLElement &node, const std::string &value) const
const std::string | errmsg (const std::string &err_value) const
| create an error message by using the given value that raises the error

## Detailed Description

template<typename T>
class TBoundedParameter< T >

Definition at line 236 of file parameter.hh.

## Member Typedef Documentation

## boundary_type

template<typename T>

typedef boundary<T>::value_type TBoundedParameter< T >::boundary_type

Definition at line 250 of file parameter.hh.

## Constructor & Destructor Documentation

## TBoundedParameter()

template<typename T>

TBoundedParameter< T >::TBoundedParameter | ( | T & | value,
|  | EParameterBounds | flags,
|  | const std::vector< boundary_type > & | boundaries,
|  | bool | required,
|  | const char * | descr )

Constructor

Parameters

  value | reference to the parameter handled by this parameter object
  flags | boundary flags
  boundaries | the boundaries of the parameter. Depending on the flags it expects one or two values. If two values are given the first value is interpreted as the lower boundary,
  flags | boundary flags
  required | set to true if the parameter has to be set by the user
  descr | a description of the parameter

## Member Function Documentation

## do_descr()

template<typename T>

void TBoundedParameter< T >::do_descr | ( | std::ostream & | os | ) | const

protected virtual

the implementation of the description-function

Reimplemented from CTParameter< T >.

The documentation for this class was generated from the following file:

- parameter.hh